Subject: bug#10224: 24.0.92; M-w inhibits echoing of prefix arguments

From: Chong Yidong <[email-masked]>
Date: Tue, 06 Dec 2011 16:17:53 +0800

Stephen Berman <[email-masked]> writes:

> Sorry for the confusion.  Step 2 was only meant to demonstrate the usual
> echoing of prefix arguments; it's not a necessary step to get the bug.
> Step 3 is really the entire recipe: after setting the mark (in any way)
> and then typing M-w, all subsequent interactively typed prefix arguments
> are no longer echoed.  (Under conditions I haven't yet been able to
> determine, the echoing sometimes returns after a while, but immediately
> vanishes again upon typing M-w (if the mark is set).)

I can't reproduce any unexpected behavior.  Are you sure you're not just
seeing the usual effect of echo-keystrokes (which specifies a 1 second
pause before echoing)?